package edu.iris.dmc.parser;

import static org.junit.Assert.*;

import java.util.Arrays;
import java.util.List;

import org.junit.Before;
import org.junit.Test;

import edu.iris.dmc.fdsn.station.model.Channel;
import edu.iris.dmc.fdsn.station.model.Network;
import edu.iris.dmc.fdsn.station.model.Station;
import edu.iris.dmc.service.ServiceUtil;
import edu.iris.dmc.service.StationIterator;
import edu.iris.dmc.service.StationService;
import edu.iris.dmc.ws.util.TextStreamUtil;

import edu.iris.dmc.criteria.CriteriaException;

public class TextStreamUtilTest {
	private ServiceUtil util;
	private StationService service;

	@Test
	public void testIteratorSta() throws Exception {

		String string = "IU|ANMO|  |BCI|34.9459|-106.4572|1750.0|100.0|0.0|0.0|Geotech KS-36000-I Borehole Seismometer|1.0|0.02|NULL|20.0|1989-08-29T00:00:00|1995-02-01T00:00:00";
		String[] temp = string.split("\\|");
		String array[] = Arrays.copyOfRange(temp, 2, temp.length);
		Channel channel = TextStreamUtil.buildChannel(Arrays.asList(array));
		assertNotNull(channel);
		
		
		string = "IU|ANMO|  |BCI|34.9459|-106.4572|1750.0|100.0|0.0||Geotech KS-36000-I Borehole Seismometer|1.0|0.02|NULL|20.0|1989-08-29T00:00:00|1995-02-01T00:00:00";
		temp = string.split("\\|");
		array = Arrays.copyOfRange(temp, 2, temp.length);
		channel = TextStreamUtil.buildChannel(Arrays.asList(array));
		assertNotNull(channel);
	}

}
