package edu.iris.dmc.ws;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.List;

import edu.iris.dmc.criteria.CriteriaException;
import edu.iris.dmc.criteria.EventCriteria;
import edu.iris.dmc.event.model.Event;
import edu.iris.dmc.event.model.Magnitude;
import edu.iris.dmc.event.model.Origin;
import edu.iris.dmc.service.EventService;
import edu.iris.dmc.service.NoDataFoundException;
import edu.iris.dmc.service.ServiceNotSupportedException;
import edu.iris.dmc.service.ServiceUtil;

public class EventMain {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ServiceUtil serviceManager;
		try {
			serviceManager = ServiceUtil.getInstance();
			EventService eventService = serviceManager.getEventService();
			EventCriteria criteria = new EventCriteria();
			criteria.setMinimumMagnitude(9.0);
			//criteria.setMaximumLatitude(45.0);
			//criteria.setMinimumLatitude(44.8);
			
			
			
			
			
			
			
			
			List<Event> events;
			try {
				events = eventService.fetch("http://service.iris.edu/fdsnwsbeta/event/1/query?minmag=6&fetchlimit=1");//.fetch(criteria);
				for(Event event:events){
					System.out.println(event);
					System.out.println(event.getPreferredOrigin());
					for(Origin origin:event.getOrigins()){
						System.out.println(origin);
					}
					
					for(Magnitude magnitude:event.getMagnitudes()){
						System.out.println(magnitude);
					}
				}
			} catch (NoDataFoundException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (CriteriaException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (ServiceNotSupportedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			
			
			
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		

	}

}
