package edu.iris.dmc.ws;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.TimeZone;

import org.junit.Test;

import edu.iris.dmc.criteria.EventCriteria;
import edu.iris.dmc.criteria.StationCriteria;

public class StationCriteriaTest {

	@Test
	public void doSome() throws Exception {

		StationCriteria sc = new StationCriteria();
		sc.addNetwork("DW");
		sc.addChannel("BHZ");
		sc.addLocation("--");
		
		sc.setIncludeAvailability(true);
		
		sc.setIncludeRestricted(false);
		sc.setMatchTimeSeries(true);


		SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
		SimpleDateFormat outdf = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
		//SimpleDateFormat("yyyy-MM-dd'T'hh:mm:ss")
		outdf.setTimeZone(TimeZone.getTimeZone("GMT"));
		sdf.setTimeZone(TimeZone.getTimeZone("GMT"));
		Date startDate = sdf.parse("2011-11-08");
		Date endDate = sdf.parse("2011-11-08");
		System.out.println(outdf.format(startDate));

		sc.setStartTime(startDate);
		sc.setEndTime(endDate);

		System.out.println(sc.toUrlParams());
	}
}
