package edu.iris.dmc.ws;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.TimeZone;

import edu.iris.dmc.criteria.CriteriaException;
import edu.iris.dmc.criteria.OutputLevel;
import edu.iris.dmc.criteria.StationCriteria;
import edu.iris.dmc.fdsn.station.model.Network;
import edu.iris.dmc.service.NoDataFoundException;
import edu.iris.dmc.service.ServiceNotSupportedException;
import edu.iris.dmc.service.ServiceUtil;
import edu.iris.dmc.service.StationService;
import edu.iris.dmc.ws.util.RespUtil;

public class StationMain {

	private static final long MEGABYTE = 1024L * 1024L;

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ServiceUtil serviceManager;
		try {
			serviceManager = ServiceUtil.getInstance();
			// CopyOfStationService stationService = new
			// CopyOfStationService("http://service.iris.edu/fdsnws/station/1/query","1.0.1","1.0.1","1.0.1");

			StationService stationService = serviceManager.getStationService();
			List<Network> networks = stationService.fetch("http://service.iris.edu/fdsnws/station/1/query?net=N4&sta=T42B&loc=EP&cha=BDO&starttime=2015-04-20T17:00:00&endtime=2599-12-31T23:59:59&level=resp");
			RespUtil.write(System.out, networks);

		        

			/*Iterator<Station> it;
			try {
				it = stationService.iterate(new File("/Users/yazan/yaz.xml"));

				while (it.hasNext()) {
					Station station = it.next();
					System.out.println("=======" + station);
				}

			} catch (XMLStreamException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			} catch (JAXBException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}

			StationCriteria criteria = new StationCriteria();
			criteria.addNetwork("TA");


			List<Network> networks;
			try {
				// networks =
				// stationService.fetch("http://service.iris.edu/fdsnws/station/1/query?net=IU&sta=ANMO&level=chan");
				networks = stationService.fetch(criteria, OutputLevel.CHANNEL);
				for (Network network : networks) {
					System.out.println(network);
					// for (Station station : network.getStations()) {
					// System.out.println(station);
					// }
				}

				Runtime runtime = Runtime.getRuntime();
				// Run the garbage collector
				runtime.gc();

				// Calculate the used memory
				long memory = runtime.totalMemory() - runtime.freeMemory();
				System.out
						.println("Used memory is bytes: " + memory / MEGABYTE);

			} catch (NoDataFoundException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (CriteriaException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (ServiceNotSupportedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
*/
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}  catch (NoDataFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (CriteriaException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (ServiceNotSupportedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} 

	}

}
