package edu.iris.dmc.ws;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.logging.Handler;
import java.util.logging.Level;
import java.util.logging.Logger;

import edu.iris.dmc.service.EventService;
import edu.iris.dmc.service.NoDataFoundException;
import edu.iris.dmc.service.ServiceNotSupportedException;
import edu.iris.dmc.service.ServiceUtil;
import edu.iris.dmc.service.StationService;
import edu.iris.dmc.service.WaveformService;
import edu.iris.dmc.criteria.CriteriaException;
import edu.iris.dmc.criteria.OutputLevel;
import edu.iris.dmc.criteria.StationCriteria;
import edu.iris.dmc.extensions.entities.Trace;
import edu.iris.dmc.extensions.fetch.TraceData;
import edu.iris.dmc.fdsn.station.model.Network;


public class Tester {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		// Get the root logger
	  /*  Logger rootLogger = Logger.getLogger("");
	    for(Handler handler : rootLogger.getHandlers()) {
	      // Change log level of default handler(s) of root logger
	      // The paranoid would check that this is the ConsoleHandler ;) 
	      handler.setLevel(Level.FINEST);
	    }
	    // Set root logger level
	    rootLogger.setLevel(Level.FINEST);
	    */
	    
		
		long old = System.currentTimeMillis();
		try {
			Trace[] traces = TraceData.fetchTraces("IU", "ANMO", "00", "BHZ", "2013-03-27 00:00:00.000",
					"2013-03-28 19:00:00.000", 'B', true);
			
			for(Trace trace:traces){
				System.out.println("==========="+trace.getSampleCount()+"    "+trace.getData().size());
			}
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		
		System.out.println(System.currentTimeMillis()-old);
	}

}
