package edu.iris.dmc.ws;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.TimeZone;

import javax.xml.bind.JAXBException;
import javax.xml.stream.XMLStreamException;

import edu.iris.dmc.criteria.CriteriaException;
import edu.iris.dmc.criteria.EventCriteria;
import edu.iris.dmc.criteria.OutputLevel;
import edu.iris.dmc.criteria.StationCriteria;
import edu.iris.dmc.criteria.WaveformCriteria;
import edu.iris.dmc.event.model.Event;
import edu.iris.dmc.event.model.Magnitude;
import edu.iris.dmc.event.model.Origin;
import edu.iris.dmc.fdsn.station.model.Network;
import edu.iris.dmc.fdsn.station.model.Station;
import edu.iris.dmc.service.EventService;
import edu.iris.dmc.service.NoDataFoundException;
import edu.iris.dmc.service.ServiceNotSupportedException;
import edu.iris.dmc.service.ServiceUtil;
import edu.iris.dmc.service.StationService;
import edu.iris.dmc.service.WaveformService;

public class WaveMain {

	private static final long MEGABYTE = 1024L * 1024L;

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		ServiceUtil serviceManager;
		try {
			serviceManager = ServiceUtil.getInstance();
			// CopyOfStationService stationService = new
			// CopyOfStationService("http://service.iris.edu/fdsnws/station/1/query","1.0.1","1.0.1","1.0.1");

			WaveformService waveFormService = serviceManager.getWaveformService("http://ws.resif.fr/fdsnws/dataselect/1/");

			DateFormat dfm = new SimpleDateFormat("yyyy-MM-dd'T'HH:mm:ss");
			dfm.setTimeZone(TimeZone.getTimeZone("GMT"));

			Date a = dfm.parse("2003-06-01T01:00:00");

			Date b = dfm.parse("2003-06-01T01:01:00");
			// IU ANMO 00 BHZ 2010-084T00:00:00 2010-091T00:00:00
			WaveformCriteria criteria = new WaveformCriteria();
			criteria.add("ZH", "E2", "00", "BHE", a, b);
			// no network of this value, therefore 404
			System.out.println(criteria.toUrlParams());
			waveFormService = serviceManager.getWaveformService();
			//this.waveFormService = serviceManager.getWaveformService("http://wslive1:8081/ws/bulkdataselect/");
			waveFormService.fetch(criteria);
		    System.out.println(waveFormService.getBaseUrl());
			
		        

			/*Iterator<Station> it;
			try {
				it = stationService.iterate(new File("/Users/yazan/yaz.xml"));

				while (it.hasNext()) {
					Station station = it.next();
					System.out.println("=======" + station);
				}

			} catch (XMLStreamException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			} catch (JAXBException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}

			StationCriteria criteria = new StationCriteria();
			criteria.addNetwork("TA");


			List<Network> networks;
			try {
				// networks =
				// stationService.fetch("http://service.iris.edu/fdsnws/station/1/query?net=IU&sta=ANMO&level=chan");
				networks = stationService.fetch(criteria, OutputLevel.CHANNEL);
				for (Network network : networks) {
					System.out.println(network);
					// for (Station station : network.getStations()) {
					// System.out.println(station);
					// }
				}

				Runtime runtime = Runtime.getRuntime();
				// Run the garbage collector
				runtime.gc();

				// Calculate the used memory
				long memory = runtime.totalMemory() - runtime.freeMemory();
				System.out
						.println("Used memory is bytes: " + memory / MEGABYTE);

			} catch (NoDataFoundException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (CriteriaException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			} catch (ServiceNotSupportedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
*/
		} catch (FileNotFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (CriteriaException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (NoDataFoundException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (ServiceNotSupportedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} 

	}

}
