package edu.iris.dmc.ws;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.TimeZone;

import org.junit.Before;
import org.junit.Test;

import edu.iris.dmc.criteria.WaveformCriteria;
import edu.iris.dmc.service.ServiceUtil;
import edu.iris.dmc.service.WaveformService;
import edu.iris.dmc.timeseries.model.Timeseries;

public class WaveformServiceAuthTest {

	WaveformService waveFormService;
	ServiceUtil serviceManager;

	@Before
	public void setUp() throws FileNotFoundException, IOException {
		this.serviceManager = ServiceUtil.getInstance();

	}

	@Test
	public void authenticate() throws Exception {
		// irisFetch.Traces('IU','ANMO','00','BH1','2010-02-27
		// 06:30:00','2010-02-27 07:30:00',{'nobody@iris.edu', 'anonymous'})

		String network = "IU";
		String station = "ANMO";
		String channel = "BHZ";
		String location = "00";
		String startDateStr = "2012-02-20 00:00:00.000";
		String endDateStr = "2012-02-20 1:00:00.000";
		char quality = 'B';

		for (int i = 0; i < 1; i++) {
			WaveformService ws = serviceManager
					.getWaveformService("http://wslive6:8082/fdsnws/dataselect/1/");
			DateFormat dfm = new SimpleDateFormat("yyyy-MM-dd HH:mm:sss");
			dfm.setTimeZone(TimeZone.getTimeZone("GMT"));
			Date a = dfm.parse(startDateStr);

			Date b = dfm.parse(endDateStr);
			try {
				ws.setAuth("nobody@iris.edu", "anonymous1");

				// IU ANMO 00 BHZ 2010-084T00:00:00 2010-091T00:00:00
				WaveformCriteria criteria = new WaveformCriteria();
				criteria.add(network, station, location, channel, a, b)
						.makeDistinctRequests(true);

				List<Timeseries> timeSeriesCollection = ws.fetch(criteria);
				System.out.println(">>>>>>");
			} catch (Exception e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}

			try {
				ws.setAuth("nobody@iris.edu", "anonymous");

				WaveformCriteria criteria = new WaveformCriteria();
				criteria.add(network, station, location, channel, a, b)
						.makeDistinctRequests(true);

				List<Timeseries> timeSeriesCollection = ws.fetch(criteria);
				System.out.println(">>>>>>");
			} catch (Exception e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
	}

}
